<?php 
$wp_customize->add_section(
    'service_area',
    array(
        'title'         => __( 'Our Services Section', 'Luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'service_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'service_area_disable',
        array(
            'settings'      => 'service_area_disable',
            'section'       => 'service_area',
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            )   
        )
    )
);

lzCustomLable($wp_customize, 'ser_sec_backgroundclr', 'service_area', 'Section Background Color Setting');

addColorPalatOption($wp_customize, 'service_secbgclr1', 'service_area', 'Section Background Color One', '#fff');

addColorPalatOption($wp_customize, 'service_secbgclr2', 'service_area', 'Section Background Color Two', '#f4f5f0');


lzCustomLable($wp_customize, 'luzuk_sec_servicessectionpadding', 'service_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'service_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaTpadding',
    array(
        'settings'      => 'service_areaTpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'service_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaBpadding',
    array(
        'settings'      => 'service_areaBpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);



$wp_customize->add_setting(
    'services_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'services_maintitle_subtitle_heading',
        array(
            'settings'      => 'services_maintitle_subtitle_heading',
            'section'       => 'service_area',
            'label'         => __( 'Section Heading & Sub Heading', 'Luzuk' ),
        )
    )
);
$wp_customize->add_setting(
    'services_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Specalities', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'services_subtitle',
    array(
        'settings'      => 'services_subtitle',
        'section'       => 'service_area', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'servicearea_secsubtitle_color', 'service_area', 'Section Sub Heading color ', '#769e36');

$wp_customize->add_setting(
    'services_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our Services', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'services_maintitle',
    array(
        'settings'      => 'services_maintitle',
        'section'       => 'service_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'servicearea_sectitle_color', 'service_area', 'Section Heading color ', '#0c3c00');
//addColorPalatOption($wp_customize, 'servicearea_sectitleborder_color_one', 'service_area', 'Section Heading Border Color ', '#09c567');

$wp_customize->add_setting('service_area_lbl2', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'service_area_lbl2',
        array(
            'settings'      => 'service_area_lbl2',
            'section'       => 'service_area',
            'label'         => __( 'Note2:', 'Luzuk' ),  
            'description'   => __( 'Use Shortcode [SERVICES] to show all services in a page', 'Luzuk' ),
        )
    )
);


$wp_customize->add_setting('service_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'service_npp_heading',
        array(
            'settings'      => 'service_npp_heading',
            'section'       => 'service_area',
            'label'         => __( 'Number of Services to show', 'Luzuk' ),
        )
    )
);    
$wp_customize->add_setting('service_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'service_npp_count',
    array(
        'settings'      => 'service_npp_count',
        'section'       => 'service_area',
        'type'          => 'select',
        'label'         => __( 'Number of services to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

$ServicesSingleChoice[] = 'Select';
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'services_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'services_heading'.$i,
            array(
                'settings'      => 'services_heading'.$i,
                'section'       => 'service_area',
                'label'         => __( 'Service Page', 'Luzuk' ).$i,
            )
        )
    );
    if(is_array($ServicesSingleChoice)){
        $wp_customize->add_setting(
            'services_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'services_page'.$i,
            array(
                'settings'      => 'services_page'.$i,
                'section'       => 'service_area',
                'type'=> 'select',
                'label'         => __( 'Select a Service Page', 'Luzuk' ),
                'choices' => $ServicesSingleChoice,
            )
        );

$wp_customize->add_setting(
        'services_page_icon1'.$i,
        array(
            'default'           => 'fa fa-spinner',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'services_page_icon1'.$i,
            array(
                'settings'      => 'services_page_icon1'.$i,
                'section'       => 'service_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk' ),
            )
        )
    );



    }else{
        $wp_customize->add_setting('service_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Info_Text( 
                $wp_customize,
                'service_area_lbl'.$i,
                array(
                    'settings'      => 'service_area_lbl'.$i,
                    'section'       => 'service_area',
                    'label'         => __( 'Note:', 'Luzuk' ),    
                    'description'   => __( '<strong>Changes will not reflect unless you select the Service Page.</strong> <br/>Please add the Services from "Services menu" and then select Services to show information.', 'Luzuk' ),
                )
            )
        );
    }
 
}

lzCustomLable($wp_customize, 'ser_sectioncolor', 'service_area', 'Section Color');

addColorPalatOption($wp_customize, 'services_Sbxclr', 'service_area', 'Section Box Color ', '#fff');
addColorPalatOption($wp_customize, 'services_ServiceIconColor', 'service_area', 'Section Icon Color ', '#6a951f');
addColorPalatOption($wp_customize, 'services_SerIconhnColor', 'service_area', 'Section Icon Hover Color ', '#fff');
addColorPalatOption($wp_customize, 'services_SerIconhnbg', 'service_area', 'Section Icon Background Color ', '#fff');
addColorPalatOption($wp_customize, 'services_SerIconhnbghv', 'service_area', 'Section Icon Background Hover Color ', '#09c567');

addColorPalatOption($wp_customize, 'services_ServicePageTitleColor', 'service_area', 'Section Title Color ', '#0c3c00');
addColorPalatOption($wp_customize, 'services_ServicePageTitlehvColor', 'service_area', 'Section Title Hover Color ', '#769e36');
addColorPalatOption($wp_customize, 'services_ServicePageTextColor', 'service_area', 'Section Text Color ', '#969696');

lzCustomLable($wp_customize, 'ser_sectionboxbtn', 'service_area', 'Section Box Button Setting');

$wp_customize->add_setting( 'services_button1_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'services_button1_display', array( 'label' => 'Section Box Button Display', 'section' => 'service_area', 'settings' => 'services_button1_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) );

$wp_customize->add_setting(
        'servicesbutn_text1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Read More', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'servicesbutn_text1',
        array(
            'settings'      => 'servicesbutn_text1',
            'section'       => 'service_area',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'sersec_bxbtntxtclr', 'service_area', 'Section Box Button Color ', '#fff');
addColorPalatOption($wp_customize, 'sersec_bxbtntxthvclr', 'service_area', 'Section Box Button Hover Color ', '#0c3c00');
addColorPalatOption($wp_customize, 'sersec_bxbtntxtbgclr', 'service_area', 'Section Box Button Background Color ', '#0c3c00');
addColorPalatOption($wp_customize, 'sersec_bxbtntxtbghvclr', 'service_area', 'Section Box Button Background Hover Color ', '#769e36');

//==========section Button=============
lzCustomLable($wp_customize, 'ser_sectionbtn', 'service_area', 'Section Button Setting');

$wp_customize->add_setting( 'ser_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'ser_button_display', array( 'label' => 'Section Button Display', 'section' => 'service_area', 'settings' => 'ser_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) );

$wp_customize->add_setting(
        'ser_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Load More', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'ser_button1',
        array(
            'settings'      => 'ser_button1',
            'section'       => 'service_area',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );
$wp_customize->add_setting('ser_link',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ser_link',
    array(
        'settings'      => 'ser_link',
        'section'       => 'service_area',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'Luzuk' )
    )
);  

addColorPalatOption($wp_customize, 'ser_sec_btntxtclr', 'service_area', 'Section Button Color ', '#fff');

addColorPalatOption($wp_customize, 'ser_sec_btntxthvclr', 'service_area', 'Section Button Hover Color ', '#fff');

addColorPalatOption($wp_customize, 'ser_sec_btnbgclr1', 'service_area', 'Section Button Background Color 1', '#4c7815');

addColorPalatOption($wp_customize, 'ser_sec_btnbgclr2', 'service_area', 'Section Button Background Color 2', '#6a951f');


addColorPalatOption($wp_customize, 'ser_sec_btnbgclrhv1', 'service_area', 'Section Button Background Hover Color 1', '#6a951f');

addColorPalatOption($wp_customize, 'ser_sec_btnbgclrhv2', 'service_area', 'Section Button Background Hover Color 2', '#4c7815');